<?php

// 获取指定圈子首页信息
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_get_circle_info.php....Start.", 0);

//获取参数
$circleId = ParamUtil::getRequestNumber("circleId", 0);//圈子id

$result = array();

//参数检查
if(empty($circleId)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

$result = array();

//判断圈子是否存在
$circleDat = CircleDat::getById($circleId);
if(empty($circleDat)) {
	$result["message"] = "圈子不存在！";
	responseNG($result);
}

ErrorLogger::doOutput("Compass...ajax_get_circle_info.php....End.", 0);

//返回结果
$result["circleDat"] = $circleDat;
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>